WordPress как на ладони
Недорогой хостинг для сайтов на WordPress: wordpress.jino.ru
функция не описана

WC_Admin_Setup_Wizard::should_show_theme() protected WC 1.0

Запрещена (устарела) с версии 4.6.0. Больше не поддерживается и может быть удалена. Рекомендуется заменить эту функцию на аналог.

The theme "extra" should only be shown if the current user can modify themes and the store doesn't already have a WooCommerce theme.

{} Это метод класса: WC_Admin_Setup_Wizard{}

Хуков нет.

Возвращает

true/false.

Использование

// protected - в коде основоного (родительского) или дочернего класса
$result = $this->should_show_theme();

Список изменений

Устарела с 4.6.0

Код WC_Admin_Setup_Wizard::should_show_theme() WC 4.9.2

<?php
protected function should_show_theme() {
	_deprecated_function( __CLASS__ . '::' . __FUNCTION__, '4.6.0', 'Onboarding is maintained in WooCommerce Admin.' );
	$support_woocommerce = current_theme_supports( 'woocommerce' ) && ! wc_is_wp_default_theme_active();

	return (
		current_user_can( 'install_themes' ) &&
		current_user_can( 'switch_themes' ) &&
		! is_multisite() &&
		! $support_woocommerce
	);
}